<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>QSPIFlash Driver Internal Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">QSPIFlash Driver Internal Functions</div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all internal API which are not exposed to the external applications.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa56ed45c25fd86c917e4ec5db93e7919"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa56ed45c25fd86c917e4ec5db93e7919">QSPIFlashReadByte</a> (QSPI_Handle QSPIHandle)</td></tr>
<tr class="separator:gaa56ed45c25fd86c917e4ec5db93e7919"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5885e8b47dc44142cfb610d03b467f1b"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga5885e8b47dc44142cfb610d03b467f1b">QSPIFlashReadCmd</a> (QSPI_Handle QSPIHandle, uint32_t cmd)</td></tr>
<tr class="separator:ga5885e8b47dc44142cfb610d03b467f1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga549e33109b6ba8ce0f2aa71fd2d8bd70"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga549e33109b6ba8ce0f2aa71fd2d8bd70">QSPIFlashGetStatus</a> (QSPI_Handle QSPIHandle, uint32_t cmd)</td></tr>
<tr class="separator:ga549e33109b6ba8ce0f2aa71fd2d8bd70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8aee2e79102503208e45da9f56bfc0a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8aee2e79102503208e45da9f56bfc0a7">QSPIFlashWriteCmd</a> (QSPI_Handle QSPIHandle, uint32_t cmd, uint32_t frameLen)</td></tr>
<tr class="separator:ga8aee2e79102503208e45da9f56bfc0a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga642d4643525d00c34c8f099433398777"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga642d4643525d00c34c8f099433398777">QSPIFlashWriteAddr</a> (QSPI_Handle QSPIHandle, uint32_t addr, uint32_t frameLen)</td></tr>
<tr class="separator:ga642d4643525d00c34c8f099433398777"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab63f7412656247de365c9c297fe60aac"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab63f7412656247de365c9c297fe60aac">QSPIFlashWriteByte</a> (QSPI_Handle QSPIHandle, uint8_t data, uint32_t frameLen)</td></tr>
<tr class="separator:gab63f7412656247de365c9c297fe60aac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga175ddb1c31dfd675ffcbea1f05bf1937"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga175ddb1c31dfd675ffcbea1f05bf1937">QSPIFlashGetDeviceID</a> (QSPI_Handle QSPIHandle, uint32_t cmd, SPIFLASH_devID *devID)</td></tr>
<tr class="separator:ga175ddb1c31dfd675ffcbea1f05bf1937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38b6efb5308e1f3c128c98e578d9fee7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga38b6efb5308e1f3c128c98e578d9fee7">QSPIFlashDefaultCmd_init</a> (<a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga535e46bd1f8504acde86626bdb657f21">SPIFLASH_Params</a> *ptrFlashParams)</td></tr>
<tr class="separator:ga38b6efb5308e1f3c128c98e578d9fee7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9f1e577a8995b9f5f192c9bffea81186"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9f1e577a8995b9f5f192c9bffea81186">QSPIFlashReadDeviceParams</a> (<a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab2bc1f3314515de16d1326c143cb85ea">QSPIFLASH_Driver</a> *ptrQSPIFlashDrv)</td></tr>
<tr class="separator:ga9f1e577a8995b9f5f192c9bffea81186"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac339216785a80fee8e46679becdbf34f"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac339216785a80fee8e46679becdbf34f">QSPIFlashSupportModes</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:gac339216785a80fee8e46679becdbf34f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga52be87fc8ed596228c4683b3343eb75a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga52be87fc8ed596228c4683b3343eb75a">QSPIFlash_macronix_init</a> (<a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga535e46bd1f8504acde86626bdb657f21">SPIFLASH_Params</a> *ptrFlashParams)</td></tr>
<tr class="separator:ga52be87fc8ed596228c4683b3343eb75a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga89409d6229d48fd51dac6a39bd68d672"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga89409d6229d48fd51dac6a39bd68d672">QSPIFlash_macronix_progQuadRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga89409d6229d48fd51dac6a39bd68d672"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1f938cb5fd27187a06a6deb97f19a38c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1f938cb5fd27187a06a6deb97f19a38c">QSPIFlash_micron_init</a> (<a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga535e46bd1f8504acde86626bdb657f21">SPIFLASH_Params</a> *ptrFlashParams)</td></tr>
<tr class="separator:ga1f938cb5fd27187a06a6deb97f19a38c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga85ddf39f02a9ad5ebf8e557388f42df4"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga85ddf39f02a9ad5ebf8e557388f42df4">QSPIFlash_micron_progQuadRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga85ddf39f02a9ad5ebf8e557388f42df4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0031cb91cffa1fe6bbdd397d1deb989a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0031cb91cffa1fe6bbdd397d1deb989a">QSPIFlash_spansion_init</a> (<a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga535e46bd1f8504acde86626bdb657f21">SPIFLASH_Params</a> *ptrFlashParams)</td></tr>
<tr class="separator:ga0031cb91cffa1fe6bbdd397d1deb989a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9c6c0fea12aecd56d0c357a82ab8a619"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9c6c0fea12aecd56d0c357a82ab8a619">QSPIFlash_spansion_progQuadRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga9c6c0fea12aecd56d0c357a82ab8a619"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all internal API which are not exposed to the external applications. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga52be87fc8ed596228c4683b3343eb75a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void QSPIFlash_macronix_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga535e46bd1f8504acde86626bdb657f21">SPIFLASH_Params</a> *&#160;</td>
          <td class="paramname"><em>ptrFlashParams</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function initializes MACRONIX serial flash command set</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrFlashParams</td><td>Pointer to the serial Flash parameters</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga89409d6229d48fd51dac6a39bd68d672"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void QSPIFlash_macronix_progQuadRead </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function initializes MACRONIX serial flash command set</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Pointer to the QSPI flash driver object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1f938cb5fd27187a06a6deb97f19a38c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void QSPIFlash_micron_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga535e46bd1f8504acde86626bdb657f21">SPIFLASH_Params</a> *&#160;</td>
          <td class="paramname"><em>ptrFlashParams</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function initializes MICRON serial flash command set</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrFlashParams</td><td>Pointer to the serial Flash parameters</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga85ddf39f02a9ad5ebf8e557388f42df4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void QSPIFlash_micron_progQuadRead </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function initializes MICRON serial flash command set</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Pointer to the QSPI flash driver object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga0031cb91cffa1fe6bbdd397d1deb989a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void QSPIFlash_spansion_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga535e46bd1f8504acde86626bdb657f21">SPIFLASH_Params</a> *&#160;</td>
          <td class="paramname"><em>ptrFlashParams</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function initializes SPANSION serial flash command set</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrFlashParams</td><td>Pointer to the serial Flash parameters</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9c6c0fea12aecd56d0c357a82ab8a619"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void QSPIFlash_spansion_progQuadRead </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function initializes SPANSION serial flash command set</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Handle to the QSPI flash driver object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga38b6efb5308e1f3c128c98e578d9fee7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void QSPIFlashDefaultCmd_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga535e46bd1f8504acde86626bdb657f21">SPIFLASH_Params</a> *&#160;</td>
          <td class="paramname"><em>ptrFlashParams</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function initialize default serial flash command set</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrFlashParams</td><td>Pointer to the serial Flash parameters</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga175ddb1c31dfd675ffcbea1f05bf1937"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void QSPIFlashGetDeviceID </td>
          <td>(</td>
          <td class="paramtype">QSPI_Handle&#160;</td>
          <td class="paramname"><em>QSPIHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>cmd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SPIFLASH_devID *&#160;</td>
          <td class="paramname"><em>devID</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function reads flash device ID infomation.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIHandle</td><td>QSPI driver handle </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cmd</td><td>Read id command </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">devID</td><td>Device Id info read from the flash</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga549e33109b6ba8ce0f2aa71fd2d8bd70"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t QSPIFlashGetStatus </td>
          <td>(</td>
          <td class="paramtype">QSPI_Handle&#160;</td>
          <td class="paramname"><em>QSPIHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>cmd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function sends status command to flash, and read back the status</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIHandle</td><td>QSPI driver handle </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cmd</td><td>Status command byte</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Status</td><td>read back from flash. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa56ed45c25fd86c917e4ec5db93e7919"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint8_t QSPIFlashReadByte </td>
          <td>(</td>
          <td class="paramtype">QSPI_Handle&#160;</td>
          <td class="paramname"><em>QSPIHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function reads one byte from QSPI interface</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIHandle</td><td>QSPI driver handle</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga5885e8b47dc44142cfb610d03b467f1b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint32_t QSPIFlashReadCmd </td>
          <td>(</td>
          <td class="paramtype">QSPI_Handle&#160;</td>
          <td class="paramname"><em>QSPIHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>cmd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function sends a command to QSPI flash, then read the result back.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIHandle</td><td>QSPI driver handle </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cmd</td><td>Read command</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9f1e577a8995b9f5f192c9bffea81186"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t QSPIFlashReadDeviceParams </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab2bc1f3314515de16d1326c143cb85ea">QSPIFLASH_Driver</a> *&#160;</td>
          <td class="paramname"><em>ptrQSPIFlashDrv</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function reads flash params</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrQSPIFlashDrv</td><td>Pointer to the QSPI flash driver object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac339216785a80fee8e46679becdbf34f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint8_t QSPIFlashSupportModes </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td>
          <td class="paramname"><em>QSPIFlashHandle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function gets flash supported</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIFlashHandle</td><td>Hanlde of the QSPI flash driver</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga642d4643525d00c34c8f099433398777"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void QSPIFlashWriteAddr </td>
          <td>(</td>
          <td class="paramtype">QSPI_Handle&#160;</td>
          <td class="paramname"><em>QSPIHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>addr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>frameLen</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function writes a 24bit address to QSPI flash</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIHandle</td><td>QSPI driver handle </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>Flash address to be sent to flash </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">frameLen</td><td>Number of elements for the rest of the operation</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab63f7412656247de365c9c297fe60aac"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void QSPIFlashWriteByte </td>
          <td>(</td>
          <td class="paramtype">QSPI_Handle&#160;</td>
          <td class="paramname"><em>QSPIHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>frameLen</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function writes 8bit data to QSPI flash</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIHandle</td><td>QSPI driver handle </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>Data to be sent to flash </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">frameLen</td><td>Number of elements for the rest of the operation</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga8aee2e79102503208e45da9f56bfc0a7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QSPIFlashWriteCmd </td>
          <td>(</td>
          <td class="paramtype">QSPI_Handle&#160;</td>
          <td class="paramname"><em>QSPIHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>cmd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>frameLen</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function writes a command to QSPI flash</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIHandle</td><td>QSPI driver handle </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cmd</td><td>Flash command to be sent to flash </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">frameLen</td><td>Number of bytes of the command</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
